quick linter - format code: 
Ctrl-Alt-L
pip install flake8
flake8 lib.py
flake8 --ignore=E501 lib.py


pip install pytest
pip install pytest-mock

pytest -v test_lib.py
pytest -s test_lib.py debug print
pytest -m test_lib.py deselect
pytest -k test_lib.py


pip install mypy
mypy .\lib.py


pip install requests

pip list
pip freeze
pip freeze > requirements.txt 
pip install -r requirements.txt




25.02.2023
1 запустити і перевірити чужий код
- flake8
- pytest
- mypy
2 дописуєм тести
3 отримання даних та їх тестування. mock
4 requirements.txt
5 ООП
- https://youtu.be/eI0XzQw3V0Q